Get project import status
Poll the status of an asynchronous project import operation.
Usage:
- When you POST to
/api/projects/{project_id}/import, you’ll receive a response like{"import": <import_id>} - Use that
import_idwith this GET endpoint to check the import status - Poll this endpoint to see if the import has completed, is still processing, or has failed
- Import errors and failures will only be visible in this GET response, not in the original POST request
This endpoint returns detailed information about the import including task counts, status, and any error messages.
While an import is running, task_count / annotation / prediction counts update as batches commit.
Counts are cumulative so far; there is no expected total, so percent-complete / ETA is not available from this API.
Authentication
AuthorizationToken
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:
curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”Path parameters
id
A unique integer value identifying this project.
import_pk
A unique integer value identifying this project import.
Response
created_at
Creation time
id
annotation_count
commit_to_project
could_be_tasks_list
data_columns
duration
error
file_upload_ids
finished_at
Complete or fail time
found_formats
preannotated_from_fields
prediction_count
project
return_task_ids
status
created- Createdin_progress- In progressfailed- Failedcompleted- Completed
Allowed values:
task_count
task_ids
updated_at
Last time import progress or terminal status was updated
url